<template>
  <div class="flex gap-3 p-4 w-fit items-center">
    <slot name="actions">
      <svn-icon-button
        v-for="action in actions"
        :icon="action.icon"
        variant="plain"
        button-size="sm"
      />
    </slot>
  </div>
</template>

<script setup>

const props = defineProps({
  actions: {
    type: Array,
    default: []
  }
})

</script>

<style scoped>

</style>